# Uses of Class
org.eclipse.emf.cdo.util.InvalidURIException

Packages that use InvalidURIException
Package
Description
org.eclipse.emf.cdo.util
Client utility classes, some common interfaces and exceptions.

## Uses of InvalidURIException in org.eclipse.emf.cdo.util

Methods in org.eclipse.emf.cdo.util that throw InvalidURIException
Modifier and Type
Method
Description
`static String[]`
CDOURIUtil.`extractResourceFolderAndName(URI uri)`
`static String`
CDOURIUtil.`extractResourcePath(URI uri)`
`static void`
CDOURIUtil.`validateURI(URI uri)`
Deprecated.
Constructors in org.eclipse.emf.cdo.util that throw InvalidURIException
Modifier
Constructor
Description
``
`CDOURIData(String uri)`
``
`CDOURIData(URI uri)`